<?php

// Start with php -f <script>

$lHost     = '127.0.0.1';
$lPort     = 3306;
$lUser     = 'app';
$lPassword = 'Secret!123';
$lSchema   = 'shop';

$mysqli = new mysqli($lHost, $lUser, $lPassword, $lSchema, $lPort);
// returns DB connection object or false

if ( $mysqli->connect_errno != 0 ) {
  error_log('Error number : ' . $mysqli->connect_errno);
  error_log('Error message: ' . $mysqli->connect_error);
  // Possibly exit here?
  exit(42);
}

$sql = 'SELECT category, SUM(stock) AS count FROM product GROUP BY category';

if ( $result = $mysqli->query($sql) ) {

  printf("Result set has %d rows.\n", $result->num_rows);

  while ( $row = $result->fetch_assoc() ) {
    printf("%s: %d\n", $row['category'], $row['count']);
  }
  $result->close();
}
// $result === false
else {
  error_log(sprintf("Error: %s\n", $mysqli->error));
}

$mysqli->close();
exit(0);

?>
